Bug 136685 - composer is line-wrapping urls
composer is line-wrapping urls
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 13:36 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2004-10-21 13:36:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.17

Description of problem:
evolution is wrapping urls that contains some chars like "-" or "+",
which is very stupid.
See window shot at http://rpm.livna.org/~anvil/Capture-Composer.png.
Urls shouldnt be wrapper like that. Evo 1.x didnt have this problem.

Version-Release number of selected component: evolution(0:2.0.2-1)

How reproducible: Always

Steps to Reproduce:
1. start evolution.
2. Ctrl-shit-m (new message)
3. paste a quite long url in the composer window.

Actual Results: url is linewrapped.
Additional info: FWIW, i'm using fr_FR.UTF-8 locale.
Comment 1 Tom Duffy 2004-10-21 19:23:39 EDT
If you highlight the URL and change the format to "Preformat" from
"Normal", evolution won't wrap it.

-tduffy
Comment 2 Dams 2004-10-22 01:20:03 EDT
Of course, I know this workaround, but evolution 1.x behaviour was
smarter. It used not to wrap urls. There was no need to force "preformat".
Comment 3 Dams 2004-12-16 15:22:45 EST
I've just noticed this also applies to received mails as well (i.e.
not in the composer, but in evolution mail rendering engine itself).

Switching to FC3, since this bug definitly survived the upgraded from
test3 to final release.
Comment 4 Matthew Miller 2006-07-10 17:58:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-30 10:55:36 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.